#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private SuperAreasAlgoDotComLevels[] cacheSuperAreasAlgoDotComLevels;

		
		public SuperAreasAlgoDotComLevels SuperAreasAlgoDotComLevels(string username, string password, string market, Brush textColor)
		{
			return SuperAreasAlgoDotComLevels(Input, username, password, market, textColor);
		}


		
		public SuperAreasAlgoDotComLevels SuperAreasAlgoDotComLevels(ISeries<double> input, string username, string password, string market, Brush textColor)
		{
			if (cacheSuperAreasAlgoDotComLevels != null)
				for (int idx = 0; idx < cacheSuperAreasAlgoDotComLevels.Length; idx++)
					if (cacheSuperAreasAlgoDotComLevels[idx].Username == username && cacheSuperAreasAlgoDotComLevels[idx].Password == password && cacheSuperAreasAlgoDotComLevels[idx].Market == market && cacheSuperAreasAlgoDotComLevels[idx].TextColor == textColor && cacheSuperAreasAlgoDotComLevels[idx].EqualsInput(input))
						return cacheSuperAreasAlgoDotComLevels[idx];
			return CacheIndicator<SuperAreasAlgoDotComLevels>(new SuperAreasAlgoDotComLevels(){ Username = username, Password = password, Market = market, TextColor = textColor }, input, ref cacheSuperAreasAlgoDotComLevels);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.SuperAreasAlgoDotComLevels SuperAreasAlgoDotComLevels(string username, string password, string market, Brush textColor)
		{
			return indicator.SuperAreasAlgoDotComLevels(Input, username, password, market, textColor);
		}


		
		public Indicators.SuperAreasAlgoDotComLevels SuperAreasAlgoDotComLevels(ISeries<double> input , string username, string password, string market, Brush textColor)
		{
			return indicator.SuperAreasAlgoDotComLevels(input, username, password, market, textColor);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.SuperAreasAlgoDotComLevels SuperAreasAlgoDotComLevels(string username, string password, string market, Brush textColor)
		{
			return indicator.SuperAreasAlgoDotComLevels(Input, username, password, market, textColor);
		}


		
		public Indicators.SuperAreasAlgoDotComLevels SuperAreasAlgoDotComLevels(ISeries<double> input , string username, string password, string market, Brush textColor)
		{
			return indicator.SuperAreasAlgoDotComLevels(input, username, password, market, textColor);
		}

	}
}

#endregion
